commit: 5b985bd43fc41a0c9bcb62d847a45cc1267d4dbd
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 1 18:04:30 2016 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Mar 1 18:47:37 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b985bd4
eclass/oasis.eclass: Add ocamlbuild build dep.
eclass/oasis.eclass | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/eclass/oasis.eclass b/eclass/oasis.eclass
index 7a341ce..6299f28 100644
--- a/eclass/oasis.eclass
+++ b/eclass/oasis.eclass
@@ -62,7 +62,8 @@ IUSE="+ocamlopt"
[ -n "${OASIS_BUILD_DOCS}" ] && IUSE="${IUSE} doc"
[ -n "${OASIS_BUILD_TESTS}" ] && IUSE="${IUSE} test"
-DEPEND="${RDEPEND}"
+DEPEND="${RDEPEND}
+ || ( dev-ml/ocamlbuild <dev-lang/ocaml-4.02.3-r1 )"
# @FUNCTION: oasis_use_enable
# @USAGE: < useflag > < variable >